From 8a7972a01261614c681c9f916da8c90d0f87e032 Mon Sep 17 00:00:00 2001
From: tmueller <tmueller@cl.uni-heidelberg.de>
Date: Tue, 30 Nov 2021 17:44:20 +0000
Subject: [PATCH] add logging for easier debugging

---
 papermc.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/papermc.sh b/papermc.sh
index e6cb579..19304ae 100755
--- a/papermc.sh
+++ b/papermc.sh
@@ -1,4 +1,8 @@
 #!/bin/bash
+exec 3>&1 4>&2
+trap 'exec 2>&4 1>&3' 0 1 2 3
+exec 1>log.out 2>&1
+# Everything below will go to the file 'log.out':
 
 # Configuration
 PAPER_URL=https://papermc.io/api/v2/projects/paper
-- 
GitLab